using System;
using System.Collections.Generic;
using System.Text;
using System.IO.Ports;
using System.Windows.Forms;

namespace Footpressuremeasurement
{

    public class SerialInterface
    {
        public static SerialPort myPort = new SerialPort();

        //standard constructor
        public SerialInterface()
        { 
            SetSerPort();
        }


        public SerialInterface(int BaudRate, int DataBits, StopBits StopBits, Parity Parity, string PortName)
        {
            SetSerPort(BaudRate, DataBits, StopBits, Parity, PortName);
        
        }

        // method to set atributes of serial port
        public void SetSerPort()
        {
            SetSerPort(9600, 8, StopBits.One, Parity.None, "COM1");
        }

        public void SetSerPort(int baudRate, int dataBits, StopBits stopBits, Parity parity, string portName)
        {

            myPort.BaudRate = baudRate;
            myPort.DataBits = dataBits;
            myPort.StopBits = stopBits;
            myPort.Parity = parity;
            myPort.PortName = portName;
        }

    }
}
